Reprice every transaction matching a filter from market data (background task)
curl --request POST \
--url https://api.breezing.io/v1/transactions/bulk-update-price-auto \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"walletId": 1,
"account": "<string>",
"hasAccount": true,
"isSpam": "false",
"dateFrom": 1,
"dateTo": 1
},
"source": "",
"currency": "<string>"
}
'import requests
url = "https://api.breezing.io/v1/transactions/bulk-update-price-auto"
payload = {
"filters": {
"walletId": 1,
"account": "<string>",
"hasAccount": True,
"isSpam": "false",
"dateFrom": 1,
"dateTo": 1
},
"source": "",
"currency": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
walletId: 1,
account: '<string>',
hasAccount: true,
isSpam: 'false',
dateFrom: 1,
dateTo: 1
},
source: '',
currency: '<string>'
})
};
fetch('https://api.breezing.io/v1/transactions/bulk-update-price-auto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/transactions/bulk-update-price-auto",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'walletId' => 1,
'account' => '<string>',
'hasAccount' => true,
'isSpam' => 'false',
'dateFrom' => 1,
'dateTo' => 1
],
'source' => '',
'currency' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/transactions/bulk-update-price-auto"
payload := strings.NewReader("{\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1\n },\n \"source\": \"\",\n \"currency\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/transactions/bulk-update-price-auto")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1\n },\n \"source\": \"\",\n \"currency\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/transactions/bulk-update-price-auto")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1\n },\n \"source\": \"\",\n \"currency\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"taskId": 123,
"count": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Transactions
Bulk Update Price Auto API
Reprice every Breezing transaction matching a filter from market data in one background task to refresh fiat values across a period.
POST
/
transactions
/
bulk-update-price-auto
Reprice every transaction matching a filter from market data (background task)
curl --request POST \
--url https://api.breezing.io/v1/transactions/bulk-update-price-auto \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"walletId": 1,
"account": "<string>",
"hasAccount": true,
"isSpam": "false",
"dateFrom": 1,
"dateTo": 1
},
"source": "",
"currency": "<string>"
}
'import requests
url = "https://api.breezing.io/v1/transactions/bulk-update-price-auto"
payload = {
"filters": {
"walletId": 1,
"account": "<string>",
"hasAccount": True,
"isSpam": "false",
"dateFrom": 1,
"dateTo": 1
},
"source": "",
"currency": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {
walletId: 1,
account: '<string>',
hasAccount: true,
isSpam: 'false',
dateFrom: 1,
dateTo: 1
},
source: '',
currency: '<string>'
})
};
fetch('https://api.breezing.io/v1/transactions/bulk-update-price-auto', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/transactions/bulk-update-price-auto",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
'walletId' => 1,
'account' => '<string>',
'hasAccount' => true,
'isSpam' => 'false',
'dateFrom' => 1,
'dateTo' => 1
],
'source' => '',
'currency' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/transactions/bulk-update-price-auto"
payload := strings.NewReader("{\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1\n },\n \"source\": \"\",\n \"currency\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/transactions/bulk-update-price-auto")
.header("Content-Type", "application/json")
.body("{\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1\n },\n \"source\": \"\",\n \"currency\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/transactions/bulk-update-price-auto")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1\n },\n \"source\": \"\",\n \"currency\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"taskId": 123,
"count": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Body
application/json
Which transactions the action targets. Same filters as GET /transactions. An empty object targets every transaction of the company (spam excluded by default). Lock state is not a filter here: update, lock and automatic repricing only ever touch unlocked rows, unlock only touches locked rows.
Show child attributes
Show child attributes
Last modified on November 13, 2026